<div class="row">

    <div class="col-12 mb-4">
        <div class="card shadow">
            <div class="card-body" n:snippetArea="snipForm">
                {form form data-id-length => 4}
                    <div n:foreach="$form->errors as $error" class="alert alert-danger">{$error}</div>

                    <div class="row">
                        <div class="col-12 col-md-4">
                            {label team /}
                            <div class="form-group">
                                <select n:name="team" class="form-control chosen-select" data-form-change-link="{link updateFormCaptain!}"/>
                            </div>
                        </div>

                        <div class="col-12 col-md-8">
                            {label captain /}
                            <div class="form-group" n:snippet="snipFormCaptain">
                                <select n:name="captain" class="form-control" data-form-change-link="{link updateFormContact!}"/>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-12 col-md-4">
                            {label status /}
                            <div class="form-group">
                                {input status class => 'form-control'}
                            </div>
                        </div>

                        <div class="col-12 col-md-8">
                            {label team_nickname /}
                            <div class="form-group" n:snippet="snipFormListName">
                                {input team_nickname class => 'form-control'}
                            </div>
                        </div>
                    </div>

                    <div class="row" n:snippet="snipFormListOfPlayers">
                        <div class="col-12" n:if="count($_form['list_of_players']->items) > 0">
                            {label list_of_players /}

                            <div class="row">
                                <div class="col-12 col-sm-6 col-md-4 mb-3" n:foreach="$_form['list_of_players']->items as $key => $label">
                                    {var $currentPlayer = $_form['list_of_players']->items[$key]}

                                    <div class="overview-team--list-of-player {if $currentPlayer->getAttribute('data-disabled')}overview-team--list-of-player--disabled{/if}">
                                        {input list_of_players:$key:}
                                        <label for="{$_form['list_of_players']->getHtmlId()}-{$key}" class="d-flex flex-column justify-content-start ">
                                            <div class="overview-team--list-of-player--name">
                                                <img n:img="$currentPlayer->getAttribute('data-image-preview'), '36x36', 'exact'"
                                                n:if="$currentPlayer->getAttribute('data-image-preview')"
                                                        class="img-rounded mr-1"
                                                        alt="{$currentPlayer->getText()}">
                                                {$currentPlayer->getText()}
                                            </div>
                                            <div class="overview-team--list-of-player--role-name mb-auto">{$currentPlayer->getAttribute('data-role-name')}</div>
                                            <div class="overview-team--list-of-player--reason" n:ifcontent>{$currentPlayer->getAttribute('data-reason')|noescape}</div>
                                        </label>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="row" n:snippet="snipFormContact">
                        <div class="col-12 col-sm-6 col-md-3">
                            {label email /}
                            <div class="form-group">
                                {input email class => 'form-control'}
                            </div>
                        </div>

                        <div class="col-12 col-sm-6 col-md-3">
                            {label phone /}
                            <div class="form-group">
                                {input phone class => 'form-control'}
                            </div>
                        </div>

                        <div class="col-12 col-md-6">
                            {label facebook /}
                            <div class="form-group">
                                {input facebook class => 'form-control'}
                            </div>
                        </div>
                    </div>

                    <div class="row" n:ifset="$form['payment']">
                        <div class="col-12 col-md-4">
                            {label payment /}
                            <div class="form-group">
                                {input payment class => 'form-control', data-sum => '.total-price'}
                            </div>
                        </div>

                        <div class="col-12 col-md-8" id="payment-info">
                            <span class="font-weight-bold">Pokyny pro platbu:</span><br>
                            <div id="payment-{$tournamentPayment->getPayment()->getId()}" n:foreach="$payments as $tournamentPayment">{$tournamentPayment->getPayment()->getContent()|noescape}</div>
                        </div>
                    </div>

                    <div class="row" n:if="$form[supplement]->items">
                        <div class="col-12">
                            {label supplement /}

                            <div class="form-group custom-control custom-switch" n:foreach="$form[supplement]->items as $key => $label">
                                {input supplement:$key: class => "custom-control-input", data-sum => '.total-price'}
                                {label supplement:$key: class => "custom-control-label" /}
                            </div>
                        </div>
                    </div>

                    <div class="row mb-4">
                        <div class="col-12 h3 text-right">
                            {if count($form[supplement]->items) !== 0 || isset($form['payment'])}
                                Celková cena: <span class="font-weight-bold text-primary"><span class="total-price">0</span>,- Kč</span>
                            {else}
                                Celková cena: <span class="font-weight-bold text-primary">zdarma</span>
                            {/if}
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-12">
                            {input send class => 'btn btn-primary w-100 w-lg-auto mb-2'}
                            {input send_back class => 'btn btn-outline-primary w-100 w-lg-auto mb-2'}
                            {input back class => 'btn btn-light w-100 w-lg-auto mb-2'}
                        </div>
                    </div>

                    <script n:syntax="double">
                        $(function () {
                            let formId = {{$form->getElementPrototype()->getAttribute('id')}};
                            let captainId = {{$form['captain']->getHtmlId()}};
                            let listOfPlayersId = {{$form['list_of_players']->getHtmlId()}};

                            let minPlayers = {{$tournament->getTournamentType()->getNumberOfParticipantsFrom()}};
                            let maxPlayers = {{$tournament->getTournamentType()->getNumberOfParticipantsTo() + App\Model\System\Settings::BONUS_PLAYERS}};

                            $.nette.ext({
                                success: function (response) {
                                    let init = false;

                                    $.each(response.snippets, function (snippet) {
                                        if (snippet.endsWith('snipFormCaptain')) {
                                            init = true;
                                        }
                                    });

                                    console.log(init);
                                    if (init) {
                                        listOfPLayerInit();
                                    }
                                },
                                init: function () {
                                    listOfPLayerInit();
                                }
                            });

                            function listOfPLayerInit() {
                                $('.overview-team--list-of-player--disabled').each(function () {
                                    $(this).find('input[type="checkbox"]').remove();
                                    $('select[id="' + captainId + '"]').trigger('change');
                                });
                            }

                            // select players
                            $(document).on('change', 'input[id^="' + listOfPlayersId + '"]', function () {

                                $('input[id^="' + listOfPlayersId + '"]:not(:checked)').each(function () {
                                    $(this).closest('.overview-team--list-of-player')
                                        .removeClass('overview-team--list-of-player--disabled');
                                });

                                let currentCount = getCurrentSelectedPlayers();

                                if (currentCount > maxPlayers) {
                                    $(this).prop('checked', false);
                                    currentCount--;
                                }

                                if (currentCount === maxPlayers) {
                                    $('input[id^="' + listOfPlayersId + '"]:not(:checked)').each(function () {
                                        $(this).closest('.overview-team--list-of-player')
                                            .addClass('overview-team--list-of-player--disabled');
                                    });
                                }
                            });

                            // select captain - captain is pernametly selected
                            $(document).on('change', 'select[id="' + captainId + '"]', function () {
                                $('input[id^="' + listOfPlayersId + '"].active')
                                    .prop('checked', false);

                                $('input[id^="' + listOfPlayersId + '"]')
                                    .unbind('click')
                                    .removeClass('active');

                                $('input[id^="' + listOfPlayersId + '"][value="' + $(this).val() + '"]')
                                    .addClass('active')
                                    .prop('checked', true)
                                    .on('click', function () {
                                        return false;
                                    }).trigger('change');
                            });

                            function getCurrentSelectedPlayers() {
                                return $('input[id^="' + listOfPlayersId + '"]:checked').length;
                            }

                            $(document).on('submit', '#' + formId, function (event) {
                                let attrFormnovalidate = $(event.originalEvent.submitter).attr('formnovalidate');
                                if (getCurrentSelectedPlayers() < minPlayers && !(typeof attrFormnovalidate !== 'undefined' && attrFormnovalidate !== false)) {
                                    alert({{_(new Skadmin\Translator\SimpleTranslation('form.registration-team.edit.minimum-players-%d', $tournament->getTournamentType()->getNumberOfParticipantsFrom(), $tournament->getTournamentType()->getNumberOfParticipantsFrom()))}});
                                    return false;
                                }
                            });

                            $(document).on('change', '[data-sum]', function () {
                                var sum = 0;

                                $('[data-sum]').each(function (i, that) {
                                    var $el = false;
                                    var $that = $(that);

                                    if ($that.is('select')) {
                                        $el = $that.find('option:selected');
                                    } else if ($that.is('input[type="checkbox"]')) {
                                        if ($that.prop('checked')) {
                                            $el = $that.next('label').find('span');
                                        }
                                    }

                                    if ($el && $el.data('price')) {
                                        sum += parseInt($el.data('price'));
                                    }
                                });

                                $($(this).data('sum')).text(sum);
                            });
                            $('[data-sum]:first').trigger('change');
                        });
                    </script>
                {/form}
            </div>
        </div>
    </div>

</div>